Package org.jboss.resteasy.wadl.i18n

## Class Messages_$bundle

- java.lang.Object
- - org.jboss.resteasy.wadl.i18n.Messages_$bundle

- All Implemented Interfaces:
    `Serializable`, `Messages`

      @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
                 date="2021-10-01T14:27:10-0700")
      public class Messages_$bundle
      extends Object
      implements Messages, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Messages_$bundle` | `INSTANCE` |

    - ### Fields inherited from interface org.jboss.resteasy.wadl.i18n.Messages

      `BASE, MESSAGES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Messages_$bundle()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `cantProcessWadl()` |
    `protected String` | `cantProcessWadl$str()` |
    `protected Locale` | `getLoggingLocale()` |
    `String` | `impossibleToGenerateWADL​(String className, String methodName)` |
    `protected String` | `impossibleToGenerateWADL$str()` |
    `String` | `loadingResteasyWadlServlet()` |
    `protected String` | `loadingResteasyWadlServlet$str()` |
    `String` | `noResteasyDeployments()` |
    `protected String` | `noResteasyDeployments$str()` |
    `String` | `overridingConsumesAnnotation()` |
    `protected String` | `overridingConsumesAnnotation$str()` |
    `String` | `path​(String key)` |
    `protected String` | `path$str()` |
    `String` | `query​(String query)` |
    `protected String` | `query$str()` |
    `protected Object` | `readResolve()` |
    `String` | `resteasyWadlServletLoaded()` |
    `protected String` | `resteasyWadlServletLoaded$str()` |
    `String` | `servingPathInfo​(String pathInfo)` |
    `protected String` | `servingPathInfo$str()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final Messages_$bundle INSTANCE

  - ### Constructor Detail

    - #### Messages_$bundle

          protected Messages_$bundle()

  - ### Method Detail

    - #### readResolve

          protected Object readResolve()

    - #### getLoggingLocale

          protected Locale getLoggingLocale()

    - #### impossibleToGenerateWADL$str

          protected String impossibleToGenerateWADL$str()

    - #### impossibleToGenerateWADL

          public final String impossibleToGenerateWADL​(String className,
                                                       String methodName)

      Specified by:
        `impossibleToGenerateWADL` in interface `Messages`

    - #### loadingResteasyWadlServlet$str

          protected String loadingResteasyWadlServlet$str()

    - #### loadingResteasyWadlServlet

          public final String loadingResteasyWadlServlet()

      Specified by:
        `loadingResteasyWadlServlet` in interface `Messages`

    - #### noResteasyDeployments$str

          protected String noResteasyDeployments$str()

    - #### noResteasyDeployments

          public final String noResteasyDeployments()

      Specified by:
        `noResteasyDeployments` in interface `Messages`

    - #### overridingConsumesAnnotation$str

          protected String overridingConsumesAnnotation$str()

    - #### overridingConsumesAnnotation

          public final String overridingConsumesAnnotation()

      Specified by:
        `overridingConsumesAnnotation` in interface `Messages`

    - #### path$str

          protected String path$str()

    - #### path

          public final String path​(String key)

      Specified by:
        `path` in interface `Messages`

    - #### query$str

          protected String query$str()

    - #### query

          public final String query​(String query)

      Specified by:
        `query` in interface `Messages`

    - #### resteasyWadlServletLoaded$str

          protected String resteasyWadlServletLoaded$str()

    - #### resteasyWadlServletLoaded

          public final String resteasyWadlServletLoaded()

      Specified by:
        `resteasyWadlServletLoaded` in interface `Messages`

    - #### servingPathInfo$str

          protected String servingPathInfo$str()

    - #### servingPathInfo

          public final String servingPathInfo​(String pathInfo)

      Specified by:
        `servingPathInfo` in interface `Messages`

    - #### cantProcessWadl$str

          protected String cantProcessWadl$str()

    - #### cantProcessWadl

          public final String cantProcessWadl()

      Specified by:
        `cantProcessWadl` in interface `Messages`